import { IRegistry, IRegistryItem, IRegistryRegisterParams } from "./types";
export declare class DbRegistry implements IRegistry {
    private readonly items;
    register<T = unknown>(input: IRegistryRegisterParams<T>): void;
    getOneItem<T = unknown>(cb: (item: IRegistryItem<T>) => boolean): IRegistryItem<T>;
    getItem<T = unknown>(cb: (item: IRegistryItem<T>) => boolean): IRegistryItem<T> | null;
    getItems<T = unknown>(cb: (item: IRegistryItem<T>) => boolean): IRegistryItem<T>[];
}
