"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Store = void 0;
class Store {
  constructor(params) {
    this.driver = params.driver;
  }
  async storeValue(key, value) {
    return this.driver.storeValue(key, value);
  }
  async storeValues(values) {
    return this.driver.storeValues(values);
  }
  async getValue(key) {
    return this.driver.getValue(key);
  }
  async getValues(keys) {
    return this.driver.getValues(keys);
  }
  async listValues(params) {
    return this.driver.listValues(params);
  }
  async removeValue(key) {
    return this.driver.removeValue(key);
  }
  async removeValues(keys) {
    return this.driver.removeValues(keys);
  }
}
exports.Store = Store;

//# sourceMappingURL=Store.js.map